Class | Nokogiri::XML::DTD
In: | lib/nokogiri/xml/dtd.rb ext/nokogiri/xml_sax_push_parser.c
Parent: | Nokogiri::XML::Node

Nokogiri::XML::DTD wraps DTD nodes in an XML document

### Methods

attributes each elements entities external_id keys notations system_id validate

### Public Instance methods

attributes

Get a hash of the attributes for this DTD.

each(&block)
elements

Get a hash of the elements for this DTD.

entities

Get a hash of the elements for this DTD.

external_id

Get the External ID for this DTD

keys()
notations

Get a hash of the notations for this DTD.

system_id

Get the System ID for this DTD

validate(document)

Validate `document` returning a list of errors

[Validate]